//
// Created by slinky on 5/11/26.
//

#ifndef B_ENGINE_IUIPANEL_H
#define B_ENGINE_IUIPANEL_H

#include "EditorContext.h"

class IUIPanel {
public:
    virtual ~IUIPanel() = default;
    virtual void update(EditorContext& context) = 0;
    bool IsOpen = true;
    bool HasFocus = true;
};

#endif //B_ENGINE_IUIPANEL_H
